import { PipeTransform } from '@angular/core';
import { DomSanitizer, SafeResourceUrl } from '@angular/platform-browser';
export declare class StreamPipe implements PipeTransform {
    private domSanitizer;
    url: string;
    constructor(domSanitizer: DomSanitizer);
    transform(video: string, arg?: string): SafeResourceUrl | string;
    getVideoThumb(url: string): SafeResourceUrl;
    getVideoPoster(url: string): SafeResourceUrl;
    getVideoUri(url: string): SafeResourceUrl;
    getVideoId(url: string): string;
    isUrl(s: string): boolean;
    isOldServer(url: any): boolean;
}
