import { EventEmitter, OnInit } from "@angular/core";
import { ActivatedRoute } from "@angular/router";
import { AsapMiniViewerService } from '../../asap-mini-viewer.service';
import { AsapService } from 'asap-crud';
export declare class EditorConclusionComponent implements OnInit {
    private activatedRoute;
    viewerService: AsapMiniViewerService;
    service: AsapService;
    id: number;
    item: any;
    event: EventEmitter<any>;
    rating: EventEmitter<any>;
    routeId: number;
    miniType: number;
    performance: any;
    rightOrWrong: any;
    WrongAnswer: any;
    CorrectAnswer: any;
    sequence: any;
    loading: boolean;
    loadingEvaluate: boolean;
    correctAnswer: number;
    stageData: any;
    logo: any;
    feedback: any;
    badge: any;
    loggedUser: any;
    constructor(activatedRoute: ActivatedRoute, viewerService: AsapMiniViewerService, service: AsapService);
    ngOnInit(): void;
    getPerformance(): void;
    getLoggedUser(): void;
    getStageData(): void;
    onDone(): void;
    checkEvaluate(): void;
    onNext(): void;
}
