import { OnInit, SimpleChanges, OnChanges, EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { HttpClient } from '@angular/common/http';
import { AsapService, Global } from 'asap-crud';
import { TranslateService } from '@ngx-translate/core';
export declare class FeedbackComponent implements OnInit, OnChanges {
    service: AsapService;
    httpClient: HttpClient;
    private translate;
    global: Global;
    item: any;
    id: any;
    event: EventEmitter<any>;
    loading: boolean;
    form: FormGroup;
    formUpdate: FormGroup;
    response: any;
    forum: any;
    loggedUser: any;
    showAnswer: boolean;
    answer: string;
    contentId: any;
    blocked: boolean;
    answerList: any;
    voteLock: boolean;
    votes: any;
    nextPageUri: string;
    constructor(service: AsapService, httpClient: HttpClient, translate: TranslateService, global: Global);
    ngOnInit(): void;
    initialRequest(): void;
    getNextPage(): void;
    calc(): void;
    vote(answer: any, vote: string): void;
    voteRequest(id: number, vote: number): void;
    OnChanges(changes: SimpleChanges): void;
    getUserLogged(): any;
    onSubmit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    goNext(): void;
}
