import { MatDialogRef } from '@angular/material/dialog';
import { Router } from '@angular/router';
import { AsapService, Global } from 'asap-crud';
export declare class ModalStarRatingComponent {
    service: AsapService;
    dialogRef: MatDialogRef<ModalStarRatingComponent>;
    router: Router;
    global: Global;
    data: any;
    score: number;
    showCertificateLink: boolean;
    showContinueButtom: boolean;
    loading: boolean;
    comment: any;
    constructor(service: AsapService, dialogRef: MatDialogRef<ModalStarRatingComponent>, router: Router, global: Global, data: any);
    ngOnInit(): void;
    onNoClick(): void;
    onRateChange: (score: any) => void;
    save(): void;
    onClose(): void;
    goToCertificate(): void;
}
