import { OnInit, EventEmitter } from '@angular/core';
import { AsapService, Global } from 'asap-crud';
import { MultiChoiceOptions } from '../../@core/models/item-component';
import { TranslateService } from '@ngx-translate/core';
export declare class EditorMultiChoiceComponent implements OnInit {
    private global;
    service: AsapService;
    private translate;
    id: number;
    item: any;
    event: EventEmitter<any>;
    listMarkerRoman: string[];
    listMarkerLetter: string[];
    listMarkerNumber: string[];
    blocked: boolean;
    onCheck: boolean;
    contentId: number;
    loading: boolean;
    optSelected: boolean;
    constructor(global: Global, service: AsapService, translate: TranslateService);
    ngOnInit(): void;
    onSelectionChange(option: MultiChoiceOptions): void;
    onSubmit(): void;
    save(): void;
    goNext(): void;
    imagePopup(element: any): void;
}
