import { EventEmitter, OnInit, OnDestroy } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { Global, AsapService } from 'asap-crud';
import { TranslateService } from '@ngx-translate/core';
export declare class EditorVideoComponent implements OnInit, OnDestroy {
    private sanitizer;
    global: Global;
    service: AsapService;
    private translate;
    item: any;
    id: number;
    content: any;
    event: EventEmitter<any>;
    videoTime: EventEmitter<any>;
    video: any;
    play: boolean;
    contentId: number;
    showSaved: boolean;
    notes: string;
    currentTime: number;
    seconds: number;
    player: any;
    videoMonitor: any;
    playerStatus: any;
    idVideo: any;
    timeLapse: number;
    timeLapseTimer: any;
    disableNextButton: boolean;
    constructor(sanitizer: DomSanitizer, global: Global, service: AsapService, translate: TranslateService);
    loadYT(): any;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onSubmit(): void;
    goNext(): void;
    setCurrentTime(data: any): void;
    formatTime(seconds: any): any;
    getThumb(item: any): any;
    goPlay(): void;
    getYoutubeID(url: any): any;
    getVimeoID(url: any): string;
    stateVideoChange(): void;
}
