import { OnInit, SimpleChanges, OnChanges } from '@angular/core';
import { Global, AsapService } from 'asap-crud';
import { TranslateService } from '@ngx-translate/core';
export declare class ForumComponent implements OnInit, OnChanges {
    global: Global;
    service: AsapService;
    private translate;
    trailId: any;
    loading: {
        forum: boolean;
        replys: boolean;
        moreReplys: boolean;
    };
    entity: any;
    forum: any;
    replys: any[];
    pagination: {
        current_page: number;
    };
    constructor(global: Global, service: AsapService, translate: TranslateService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    save(): void;
    getForumData(): void;
    getForumReplys(): void;
    sendVote(item: any, number: any): void;
}
