import { OnInit, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { Global, AsapService } from 'asap-crud';
export declare class ViewerComponent implements OnInit, OnChanges {
    global: Global;
    service: AsapService;
    dialog: MatDialog;
    stageData: any;
    eventToStage: EventEmitter<any>;
    trailStage: any;
    comments: any;
    components: any[];
    updateAt10: any;
    updateAt25: any;
    updateAt50: any;
    updateAt75: any;
    constructor(global: Global, service: AsapService, dialog: MatDialog);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    emitEvent(eventType: any): void;
    ratingEvent(): void;
    resetVideoUpdater(): void;
    updateVideoTime(event: any): void;
    doUpdateVideoTime(time: any): void;
}
