import { ServicesInterface } from '../interfaces/services.interface';
import { Observable } from 'rxjs';
import { Trail } from '../models/trail';
import { HttpClient } from '@angular/common/http';
import { Global } from 'asap-crud';
export declare class TrailService implements ServicesInterface {
    protected _trailModel: Trail;
    private http;
    global: Global;
    protected arrayModel: Trail[];
    constructor(_trailModel: Trail, http: HttpClient, global: Global);
    collection(): Promise<any>;
    findHome(): Observable<any>;
    findAll(): Observable<any>;
    findAllClient(): Observable<any>;
    findAllAvatar(): Observable<any>;
    findAvatar(data: any): Observable<any>;
    avatarUnlock(data: any): Observable<any>;
    findLevels(data: any): Observable<any>;
    findAvatarScore(data: any): Observable<any>;
    findTrainingScore(data: any): Observable<any>;
    aceptChallenge(data: any): Observable<any>;
    getChallenge(data: any): Observable<any>;
    aceptChallengeModules(data: any): Observable<any>;
    getChallengeModules(data: any): Observable<any>;
    getVideo(data: any): Observable<any>;
    getAllVideo(data: any): Observable<any>;
    challengeCloseModal(data: any): Observable<any>;
    searchLevels(data: any): Observable<any>;
    findOneBy(data: any): Observable<any>;
    findBy(id: number): Promise<any>;
    filterBy(data: any[]): Observable<any>;
    persist(trail: Trail): Observable<any>;
    delete(id: number): Observable<any>;
    setStatus(status: number, id: number): Observable<any>;
    saveData(trail: Trail): Observable<any>;
    update(trail: Trail): Observable<any>;
    persistTrailConfiguratorByGroupFilter(data: any): Observable<any>;
    persistTrailConfiguratorByFilterOnly(data: any): Observable<any>;
    persistTrailConfiguratorByUserGroup(data: any): Observable<any>;
    persistTrailConfiguratorByUserOnly(data: any): Observable<any>;
    folderUserShared(): Observable<any>;
}
