import { OnInit, SimpleChanges, OnChanges, EventEmitter } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { Global, AsapService } from 'asap-crud';
import { TranslateService } from '@ngx-translate/core';
export declare class EditorForumComponent implements OnInit, OnChanges {
    private global;
    private formBuilder;
    service: AsapService;
    private translate;
    item: any;
    id: any;
    event: EventEmitter<any>;
    loading: boolean;
    form: FormGroup;
    formUpdate: FormGroup;
    response: any;
    forum: any;
    loggedUser: any;
    answered: boolean;
    score: number;
    displayRatingScore: number;
    constructor(global: Global, formBuilder: FormBuilder, service: AsapService, translate: TranslateService);
    ngOnInit(): void;
    OnChanges(changes: SimpleChanges): void;
    getUserLogged(): any;
    getForum(): void;
    getResponseByUser(): void;
    getResponse(): void;
    save(): void;
    ResetPost(): void;
    onRemove(forum: any): void;
    onClose(forum: any): boolean;
    onEdit(forum: any): boolean;
    updateForm(): void;
    vote(item: any, number: any): void;
    getHidden(item: any): boolean;
    ngOnChanges(changes: SimpleChanges): void;
    goNext(): void;
}
