import { OnInit, EventEmitter } from '@angular/core';
import { FormArray } from '@angular/forms';
import { AsapService, Global } from 'asap-crud';
import { DomSanitizer } from '@angular/platform-browser';
import { TranslateService } from '@ngx-translate/core';
export declare class EditorPdfComponent implements OnInit {
    private global;
    sanitizer: DomSanitizer;
    service: AsapService;
    private translate;
    item: any;
    id: any;
    event: EventEmitter<any>;
    innerPDF: any;
    contentId: any;
    form: FormArray;
    blocked: boolean;
    listMarkerLetter: string[];
    accept: boolean;
    constructor(global: Global, sanitizer: DomSanitizer, service: AsapService, translate: TranslateService);
    ngOnInit(): void;
    generateForm(): void;
    getAnswer(id: any): void;
    getDecodeURL(url: any): string;
    onSubmit(): void;
    onSubmitWithWarning(): void;
    goNext(): void;
}
