import { OnInit, SimpleChanges } from '@angular/core';
import { Global, AsapService } from 'asap-crud';
import { Router, ActivatedRoute } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
export declare class StageComponent implements OnInit {
    global: Global;
    service: AsapService;
    private router;
    private activatedRoute;
    private translate;
    loading: {
        viewer: boolean;
        comments: boolean;
        sidebar: boolean;
        all: boolean;
        titles: boolean;
        points: boolean;
    };
    title: any;
    trailId: any;
    trailContext: any;
    trailType: any;
    trailStage: any;
    design: any;
    component: any;
    trail: any;
    sessionId: any;
    pastaId: any;
    actualStageIndex: number;
    actualStage: any;
    actualStageData: any;
    stages: any;
    stagesProgressData: any;
    score: any;
    helperText: any;
    subType: any;
    actualLayoutComponent: any;
    playlist: any;
    orientedByEpisode: boolean;
    constructor(global: Global, service: AsapService, router: Router, activatedRoute: ActivatedRoute, translate: TranslateService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    mountContextType(): void;
    getDesign(): void;
    getComponent(): void;
    getTrail(): void;
    getStagesByTrailId(trailId: any): void;
    getStageDetailsData(trailId: any): void;
    getTrailStage(trailId: any): void;
    compare(a: any, b: any): 0 | 1 | -1;
    eventStage(event: any): void;
    private onDoneStages;
    eventNavigateStage(stageIndex: any): void;
    reloadStageData(stageId: any): void;
    getStageProgress(stageId: any): void;
    registerStageProgress(stageId: any, eventType?: string): void;
    getScorePointsTrail(trailId: any): void;
    serializeObjetsToUrl(object: any): string;
}
